version: "3"
services:
  firefly:
    image: fireflyiii/core:latest
    container_name: Firefly
    volumes:
      - ./app:/var/www/html/storage/upload
    environment:
      - APP_URL=https://budget.{{ domaine_ext }}
      - TRUSTED_PROXIES=**
      - APP_KEY=azertyuiopqsdfghjklmwxcvbn123456
      - DB_HOST=firefly-db
      - DB_PORT=3306
      - DB_CONNECTION=mysql
      - DB_DATABASE=firefly
      - DB_USERNAME=bxlife
      - DB_PASSWORD=YKo9iG2&CsSb3fKNTm%UosVeC
    ports:
      - 17555:8080
    restart: always
    depends_on:
        - firefly-db
  firefly-db:
    image: mariadb:10.5.21
    container_name: firefly_db
    environment:
       - PUID=1000
       - PGID=1000
       - MYSQL_ROOT_PASSWORD=YFEyHkb7tizo9h
       - TZ=Europe/Paris
       - MYSQL_DATABASE=firefly
       - MYSQL_USER=bxlife
       - MYSQL_PASSWORD=YKo9iG2&CsSb3fKNTm%UosVeC
    volumes:
       - ./config/mysql:/var/lib/mysql
    restart: unless-stopped